Qt 5.11 | Qt Core | C++ Classes | QThreadPool

Qt 5.11.3 Reference Documentation

# Obsolete Members for QThreadPool

The following members of class QThreadPool are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | cancel(QRunnable *runnable)

- 2 public functions inherited from QObject

## Member Function Documentation

### void QThreadPool::cancel(QRunnable *runnable)

Removes the specified runnable from the queue if it is not yet started. The runnables for which runnable->autoDelete() returns `true` are deleted.

This function was introduced in Qt 5.5.

See also start() and tryTake().